using UnityEngine;

public class PuddleSpawner : MonoBehaviour
{
    public static PuddleSpawner Instance;
    [SerializeField] private GameObject waterSpillPrefab;

    private void Awake()
    {
        Instance = this;
    }

    public void Spawn(Vector3 pos)
    {
        Instantiate(waterSpillPrefab, pos, Quaternion.identity);
    }
}